Subject: [SOLVED] Re: How to make setup not look for external mirrors
From: Carlo Florendo <[email-masked]>
To: Dave Korn <[email-masked]>
Cc: [email-masked]
Date: Wed, 06 Oct 2004 18:05:15 +0800

Hello Dave and Bertrand,

Great advice!  Worked well.

Thank you very much!

Best Regards,

Carlo

Dave Korn wrote:

>>-----Original Message-----
>>From: cygwin-owner On Behalf Of Carlo Florendo
>>Sent: 06 October 2004 08:51
>>    
>>
>
>  
>
>>Hello great cygwin people!
>>
>>I have mirrored cygwin and made the installation accessible 
>>via http on 
>>our local web server.  There are some boxes that may access only LAN 
>>resources and I want those boxes to have cygwin.
>>
>>When I start running setup on those boxes, I select download from 
>>internet (since I have the entire distro on the local http server).  
>>Thus, I assume that the local web server accessible via http is the 
>>"internet" site where cygwin will be installed from.  
>>
>>Everything is fine until I get to the point of downloading 
>>the list of 
>>mirrors.  Since the boxes do not have Internet connections, 
>>they won't 
>>be able to download the mirror list.  Installation stops from 
>>that point. 
>>
>>Is there any way via setup to install cygwin from my local 
>>http server?
>>    
>>
>
>  Build it from the source.  First, read the instructions at
>
>http://sources.redhat.com/cygwin-apps/setup.html 
>
>to see how to get the source from cvs and what configure options you'll need.
>Edit the res.rc file.  Find the resource given by IDS_MIRROR_LST and change it to
>point to your local mirror, then put your own mirrors.txt file on your local
>mirror with only one entry in it.  This patch will be b0rked by line wrapping, but
>it shows you the idea.
>
>Index: res.rc
>===================================================================
>RCS file: /cvs/cygwin-apps/setup/res.rc,v
>retrieving revision 2.56
>diff -p -w -u -r2.56 res.rc
>--- res.rc      29 Aug 2004 16:59:40 -0000      2.56
>+++ res.rc      6 Oct 2004 09:42:32 -0000
>@@ -462,7 +462,7 @@ STRINGTABLE DISCARDABLE
> BEGIN
>     IDS_ROOT_SLASH          "Warning: we recommend you do NOT use the root of y
>our hard drive as the cygwin root.  Proceed anyway?"
>     IDS_ROOT_SPACE          "You should not choose a root path that include spa
>ces in directory names.  Proceed anyway?"
>-    IDS_MIRROR_LST          "http://sources.redhat.com/cygwin/mirrors.lst"
>+    IDS_MIRROR_LST          "http://your.local.server/cygwin/mirrors.lst"
>     IDS_DIALOG_FAILED       "Unable to create Dialog Box"
>     IDS_CYGWIN_FUNC_MISSING "Error: unable to find function `%s' in %s"
>     IDS_DOWNLOAD_SHORT      "Download error: %s too short (%d, wanted %d)"
>
>
>  You may also need to delete the following lines from autoload.c if you get
>link-time errors.
>
>Index: autoload.c
>===================================================================
>RCS file: /cvs/cygwin-apps/setup/autoload.c,v
>retrieving revision 2.5
>diff -p -w -u -r2.5 autoload.c
>--- autoload.c  30 Aug 2004 16:17:52 -0000      2.5
>+++ autoload.c  6 Oct 2004 09:42:32 -0000
>@@ -48,12 +48,6 @@ Auto (wininet, HttpSendRequestA, 20);
>
> DLL (advapi32);
>
>-Auto (advapi32, AddAccessAllowedAce, 16);
>-Auto (advapi32, AllocateAndInitializeSid, 44);
>-Auto (advapi32, FreeSid, 4);
>-Auto (advapi32, InitializeAcl, 12);
>-Auto (advapi32, OpenProcessToken, 12);
>-Auto (advapi32, SetTokenInformation, 16);
> Auto (advapi32, OpenSCManagerA, 16);
> Auto (advapi32, CloseServiceHandle, 4);
> Auto (advapi32, OpenServiceA, 16);
>
>
>
>    cheers, 
>      DaveK
>  
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/